You are not logged in.

#1 2021-02-14 06:41:09

ChrisSassy
Member
Registered: 2021-02-14
Posts: 1

Could not get owner of name 'org.jackaudio.service': no such name

Hi everyone,

since a few days, I've been having an issue with getting Jack2 to start. I followed the ArchWiki thread https://wiki.archlinux.org/index.php/JA … _Kit#JACK2 to make sure I'm following the official approach. In addition I went through all search results google would provide me to get to the bottom of this. I'm currently using Pipewire, because it works better with VoIP apps like Signal or MS Teams.

The audio stream works fine when I play back audio or video. Jack2 has worked absolutely fine before with this configuration (last time I used it was about 2 weeks ago), until some update must have broken it. Now I can neither start Jack2 via qjackctl nor via command line. When I start Cadence it says "jackdbus not available". I have jack2, jack2-dbus and lib32-jack2 installed. But systemctl cannot find any of the jack2 services. The "Could not get owner of name" error seems to be the issue. What am I missing? Do you have an idea what can be done to fix this? Of course I have purged the cache and tried a complete reinstall of all the packages.
If additional info is needed, I'm happy to provide it. I'm currently on Kernel 5.10.16-arch1-1

Any help is highly appreciated!

Output of "jack_control start"

Traceback (most recent call last):
  File "/home/chris/.local/lib/python3.9/site-packages/dbus/bus.py", line 177, in activate_name_owner
    return self.get_name_owner(bus_name)
  File "/home/chris/.local/lib/python3.9/site-packages/dbus/bus.py", line 361, in get_name_owner
    return self.call_blocking(BUS_DAEMON_NAME, BUS_DAEMON_PATH,
  File "/home/chris/.local/lib/python3.9/site-packages/dbus/connection.py", line 652, in call_blocking
    reply_message = self.send_message_with_reply_and_block(
dbus.exceptions.DBusException: org.freedesktop.DBus.Error.NameHasNoOwner: Could not get owner of name 'org.jackaudio.service': no such name

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/bin/jack_control", line 403, in <module>
    sys.exit(main())
  File "/usr/bin/jack_control", line 161, in main
    controller = bus.get_object(service_name, "/org/jackaudio/Controller")
  File "/home/chris/.local/lib/python3.9/site-packages/dbus/bus.py", line 241, in get_object
    return self.ProxyObjectClass(self, bus_name, object_path,
  File "/home/chris/.local/lib/python3.9/site-packages/dbus/proxies.py", line 250, in __init__
    self._named_service = conn.activate_name_owner(bus_name)
  File "/home/chris/.local/lib/python3.9/site-packages/dbus/bus.py", line 182, in activate_name_owner
    self.start_service_by_name(bus_name)
  File "/home/chris/.local/lib/python3.9/site-packages/dbus/bus.py", line 277, in start_service_by_name
    return (True, self.call_blocking(BUS_DAEMON_NAME, BUS_DAEMON_PATH,
  File "/home/chris/.local/lib/python3.9/site-packages/dbus/connection.py", line 652, in call_blocking
    reply_message = self.send_message_with_reply_and_block(
dbus.exceptions.DBusException: org.freedesktop.DBus.Error.Spawn.ChildExited: Process org.jackaudio.service exited with status 127

Output of "pactl info":

Server String: /run/user/1000/pulse/native
Library Protocol Version: 34
Server Protocol Version: 34
Is Local: yes
Client Index: 101
Tile Size: 65472
User Name: chris
Host Name: archdesktop
Server Name: PulseAudio (on PipeWire 0.3.21)
Server Version: 14.0.0
Default Sample Specification: float32le 2ch 48000Hz
Default Channel Map: front-left,front-right
Default Sink: alsa_output.usb-Focusrite_Scarlett_6i6_USB_00065711-00.analog-surround-21
Default Source: alsa_input.usb-Focusrite_Scarlett_6i6_USB_00065711-00.multichannel-input
Cookie: b0db:bccb 

Offline

#2 2021-02-17 02:48:16

smudge
Member
Registered: 2011-03-20
Posts: 158

Re: Could not get owner of name 'org.jackaudio.service': no such name

Wild guess: Have you got pipewire-jack installed?

Offline

Board footer

Powered by FluxBB